#
# spec file for package python-pyannotate
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if %python3_version_nodots < 34
%define skip_python3 1
%endif
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyannotate
Version:        1.0.5
Release:        4.1
Summary:        PyAnnotate: Auto-generate PEP-484 annotations
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/dropbox/pyannotate
Source:         https://files.pythonhosted.org/packages/source/p/pyannotate/pyannotate-%{version}.tar.gz
BuildRequires:  %{python_module setuptools >= 28.8.0}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module mypy_extensions}
BuildRequires:  %{python_module pytest => 3.3.0}
BuildRequires:  %{python_module six >= 1.11.0}
# /SECTION
BuildRequires:  fdupes
Requires:       python-mypy_extensions
Requires:       python-six >= 1.11.0
%if %python_version_nodots < 35
Requires:       python-typing >= 3.5.3
%endif
BuildArch:      noarch

%python_subpackages

%description
This module inserts annotations into source code based on call
arguments and return types observed at runtime.

%prep
%setup -q -n pyannotate-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.md example/
%license LICENSE
%python3_only %{_bindir}/pyannotate
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Sun Mar  4 2018 jengelh@inai.de
- Fix grammar in description.
* Sun Dec 17 2017 sebix+novell.com@sebix.at
- initial package for version 1.0.5
